summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/password
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/dialog/samples/password')
-rwxr-xr-xcontrib/dialog/samples/password20
1 files changed, 20 insertions, 0 deletions
diff --git a/contrib/dialog/samples/password b/contrib/dialog/samples/password
new file mode 100755
index 0000000..4517043
--- /dev/null
+++ b/contrib/dialog/samples/password
@@ -0,0 +1,20 @@
+#!/bin/sh
+# $Id: password,v 1.7 2010/01/13 10:20:03 tom Exp $
+
+. ./setup-vars
+
+. ./setup-tempfile
+
+$DIALOG --title "INPUT BOX" --clear "$@" \
+ --passwordbox "Hi, this is an password dialog box. You can use \n
+this to ask questions that require the user \n
+to input a string as the answer. You can \n
+input strings of length longer than the \n
+width of the input box, in that case, the \n
+input field will be automatically scrolled. \n
+You can use BACKSPACE to correct errors. \n\n
+Try entering your name below:" 16 51 2> $tempfile
+
+retval=$?
+
+. ./report-tempfile
OpenPOWER on IntegriCloud